29 septiembre 2009

Conecta tu iphone en Ubuntu


Desde hace poco más de una semana estoy disfrutando de mi nuevo ipod touch, y claro está, quiero poder usarlo en mi ubuntu, para ello, la mejor opción es usar iFuse. Este programa nos permite conectar nuestro iphone o ipod touch en Ubuntu sin necesidad de tener el aparato "jailbreakeado" y sin necesidad de instalar ningún programa extra en el teléfono / ipod (ni tan siquiera hace falta instalar "ssh").

iFuse hace uso de una librería, libphone, que nos permite conectar directamente con el ipod mediante el protocolo AFC, nativo de apple.

Una vez hemos montado el sistema de archivos del ipod/iphone podemos copiar y/o borrar lo que queramos de él (fotos, música...).

Bueno, al lio, vamos a instalariFune en Ubuntu, para ello necesitamos editar /etc/apt/sources.list:
sudo gedit /etc/apt/sources.list
Y añadimos al final:

Para Karmic:
deb http://ppa.launchpad.net/jonabeck/ppa/ubuntu karmic main
deb-src http://ppa.launchpad.net/jonabeck/ppa/ubuntu karmic main
Para Jaunty:
deb http://ppa.launchpad.net/jonabeck/ppa/ubuntu jaunty main
deb-src http://ppa.launchpad.net/jonabeck/ppa/ubuntu jaunty main
Para Intrepid:
deb http://ppa.launchpad.net/jonabeck/ppa/ubuntu intrepid main
deb-src http://ppa.launchpad.net/jonabeck/ppa/ubuntu intrepid main
Salvamos y salimos, ahora metemos las llaves:
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com F0876AC9
Actualizamos:
sudo apt-get update
e instalamos:
sudo apt-get install ifuse
Listo, ahora conectamos el aparato y a copiar cositas.

Funciona con el Firmware 3.0, no lo he probado con versiones superiores, lo malo de esta versión es que cifra la música, así que será un poco lío copiar nuevo música o eliminarla. Estupendo para las fotos, estupendo para copiar vídeo y luego verlo en el ipod con VLC, estupendo para copiar ipas (ya es necesario el Jailbreak) y luego instalarlas con appcake o installus... simplemente, estupendo.

Visto en UbuntuGeek.

7 comentarios:

  1. Parece que te equivocaste con le título... debería ser Ipod en vez de Iphone, no?

    Un saludo!

    ResponderEliminar
  2. Nop, es valido para los 2, iphone e ipod touch.

    Salu2.

    ResponderEliminar
  3. Hola, sabes si iFuse funciona bien con los iPods antiguos? Yo tengo uno vídeo de 30 Gb y uso el Gtkpod
    Gracias

    ResponderEliminar
  4. En ubuntu 9.04 me funcionaba, tengo un iphone, instale Ubuntu 9.10 e instale ifuse y no me lo toma. tenes idea que puede pasar?

    ResponderEliminar
  5. Y para ubuntu 10.04 LTS - Lucid Lynx cómo se hace?????

    ResponderEliminar
  6. Y para ubuntu 10.04 LTS - Lucid Lynx cómo se hace?????

    ResponderEliminar
  7. no puedo editar la lista. me pide permiso
    que hago

    ResponderEliminar